org.flexdock.docking.adapter

## Class AdapterFactory

- java.lang.Object
- - org.flexdock.docking.adapter.AdapterFactory

    public class AdapterFactory
    extends java.lang.Object

A factory for transforming `Component`s into a class that contains information about the component that is necessary for treating the component as a `Dockable`.

Author:
  Christopher Butler, Karl Schaefer

### Field Summary

Fields
`static java.lang.String` `ADAPTER_RESOURCE_KEY` A property key for determining whichi docking adapter to use.
`static java.lang.String` `DEFAULT_ADAPTER_RESOURCE` Deprecated. Scope is likely to become more restrictive (protected or private).

### Constructor Summary

Constructors
Constructor and Description
`AdapterFactory()`

### Method Summary

Methods
`static DockingAdapter` `getAdapter(java.awt.Component comp)` Creates the `DockingAdapter` for the given `Component`.
`static void` `prime()` Loads the mappings for this factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ADAPTER_RESOURCE_KEY

    public static final java.lang.String ADAPTER_RESOURCE_KEY

A property key for determining whichi docking adapter to use.

See Also:
  Constant Field Values

#### DEFAULT_ADAPTER_RESOURCE

    public static final java.lang.String DEFAULT_ADAPTER_RESOURCE

Deprecated. Scope is likely to become more restrictive (protected or private).
A constant representing the relative URI to the default docking adapter.

See Also:
  Constant Field Values

### Constructor Detail

#### AdapterFactory

    public AdapterFactory()

### Method Detail

#### prime

    public static void prime()

Loads the mappings for this factory.

#### getAdapter

    public static DockingAdapter getAdapter(java.awt.Component comp)

Creates the `DockingAdapter` for the given `Component`.

Parameters:
  `comp` - the component to create an adapter for.
Returns:
  a docking adapter, or `null` if `comp` is null.